Figure - Bug #112910

0 O Test-IT # 110961 (New): V2.00 0 0 O

0 O Test-1T #111045 (New): AF-V2.0-00 0000 0
OAFOOEBVIOOOOOOODOOODOOOODUTOOOODOOODOOO
2022-10-2515:06- 00 00 00 _CDTSO OO

Status: CLOSED Start date: 2022-10-25

Priority: Normal Due date: 2022-11-04

Assignee: gpoobooo_ceprsbgn % Done: 50%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: - Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.2022102:
Resolution: DUPLICATE Degrated: -

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.2
Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description
History

#1-2022-10-2515:11-0 00000 _CDTSO OO
- Parent task set to #111045

#2 - 2022-10-27 15:18 - CDTS-TEST O O
- Due date changed from 2022-10-29 to 2022-11-04

- Target version changed from VVX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#3-2022-11-0716:02-CDLCO OO
http://192.168.87.66:8003/source/xref/plum-c6490-la2.0-vendor-gssil1-dev/LINUX/android/vendor/gcom/opensource/commonsys/packages/apps/Bluetooth/res/values/
config.xml#16
000 O profile

<bool name="profile_supported_a2dp">true</bool>

<bool name="profile_supported_hs_hfp">true</bool>

<bool name="profile_supported_hid_host">true</bool>

<bool name="profile_supported_gatt">true</bool>

<bool name="pbap_include_photos_in_vcard">true</bool>
<bool name="pbap_use_profile_for_owner_vcard">true</bool>
<bool name="profile_supported_avrcp_target">true</bool>

<bool name="profile_supported_avrcp_controller">true</bool>
Disable O O Profile
<bool name="profile_supported_pan">false</bool>
<bool name="profile_supported_hid_device">false</bool>
<bool name="profile_supported_opp">false</bool>
ooo
<bool name="profile_supported_sap">false</bool>

<bool name="profile_supported_pbap">false</bool>

<bool name="profile_supported_map">false</bool>

#4-2022-11-1009:58-CDLCO OO

eog,

OO0O0O0OpatchOOOODOO,00!

#5-2022-11-1019:25-CD LCO O

- % Done changed from 0 to 50

- Resolution changed from -- to DUPLICATE

Hi ALL,

0 O O O https://share.thundersoft.com/redmine/issues/112914

Thanks

#6 - 2022-11-1401:54-CDLCO OO

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709
oooo

000 O review & merge.

#7 -2022-11-1421:44-CDLCO OO
- Status changed from New to RESOLVED
- Assignee changed fromCD LC O O O to CDTS_TEST O O
http://192.168.87.66:8003/source/xref/plum-c6490-la2.0-vendor-qssi11-dev/LINUX/android/vendor/qcom/opensource/commonsys/packages/apps/Bluetooth/res/values/config.xml#16
http://192.168.87.66:8003/source/xref/plum-c6490-la2.0-vendor-qssi11-dev/LINUX/android/vendor/qcom/opensource/commonsys/packages/apps/Bluetooth/res/values/config.xml#16
https://share.thundersoft.com/redmine/issues/112914
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709

000000011.15DB Verify.0 O O

#8-2022-11-1610:06 -0 00000 _CDTSO OO

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CDTS_TESTO O to0 0O OO0 _CDTSO OO
- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

gooooooooooooooOoOobo0oooo0oobOoOoDoOoO0ooDoO00—-—Pass

#9-2022-11-1610:07-0 00000 _CbTsunoO
- Status changed from VERIFIED to CLOSED

O0O1lleuser0 000 000000 —00

#10 - 2023-05-24 18:55 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

202288

general/platform/vendor/qcom-opens

ource/system/bt

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:BT: Adjust the bt trace level temporarilySet all the bt trace level to verbose for issue analysis. TC-RID: 1201-0400120IssuelD: TS-R-BUG-112910Change-Id:
12ec31286299009742f6¢715¢18842f0ddf938180

#11 - 2023-10-08 17:53 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

316762

general/device/qcom/qssi

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:BT:Enable bt snoop log by defaultEnable bt snoop log by default. TC-RID: 1201-0400120Issuel D: TS-R-BUG-112910Change-1d:
1b07289dd48ab409e4bb0ch89ec2e5bh4a7766fecs

#12 - 2023-10-13 19:51 - IoT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317370

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161706
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/packages/apps/Bluetooth/+/161709

LC:HiCar: Reconnect for nomanual hicar disconnectionl. Init HiCarBtReconnectService2. When HiCar is disconnected and the list of trusted devices is not
empty,try to connect trusted devices.3. After successful connection, stop the connection attempt. TC-RID: 1201-0400120IssuelD: TS-R-BUG-112910,
VCH-269Change-Id: 151c0c2863fd6630db44e03b76d261039a9b18383

#13 - 2023-10-13 19:51 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

318504

general/platform/vendor/gcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Set HFP Client connect policy to ALLOWEDSet HFP Client connect policy to ALLOWED.TC-RID: 1201-04001201ssuelD: TS-R-BUG-112910,
VCH-269Change-Id: 192df5ad404871fd86b92998963c3655352407491

#14 - 2023-10-16 17:02 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

319351

general/platform/vendor/gcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

taohp0107@thundersoft.com

Revert LC:HiCar: Set HFP Client connect policy to ALLOWEDT his reverts commit 623bf5725¢883a7a4bb2efaf566c9de870337ade.Reason for revert: For HiCar
connect/reconnect when bt is A2dp source. TC-RID: 1201-0400120Issuel D: TS-R-BUG-112910, VCH-269Change-1d:
126c06eef5cf4887¢3014cc2e4e8e20482d034fc9

#15 - 2023-10-16 17:02 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

319507

general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Auto connect PANAutomatically connect PAN when Bluetooth is turned on. TC-RID: 1201-0400120IssuelD: TS-R-BUG-112910,
VCH-269Change-Id: 17e87f40afe55d727ee318392a6ffc3c2a4a9592a

#16 - 2023-10-16 17:02 - IoT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

319502

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Reconnect for nomanual hicar disconnection(2/2) Try reconnecting the Bluetooth protocol untilthe HiCar connection is successful. TC-RID:
1201-04001201Issuel D: TS-R-BUG-112910, VCH-269Change-1d: le7c403ae7397fea853326430f52f6094e1f0c68f

#17 - 2023-10-20 20:42 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

321307

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Remove the task delay when HiCarBtConnectService initRemove the task delay when HiCarBtConnectService init. TC-RID: 1201-04001201ssuelD:
TS-R-BUG-112910, VCH-269Change-1d: 14a4425737b01e49bbc023777a0b0e06e100eadb0

#18 - 2023-10-20 20:42 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

321308

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

taohp0107@thundersoft.com

LC:HiCar: Set supported 5G channelSet supported 5G channel [36,40,44,48,149] TC-RID: 1201-0400120Issuel D: TS-R-BUG-112910, VCH-269Change-Id:
13¢92ff48791301e9d5¢5d658c070e7dfeb39ade3

#19 - 2023-10-20 20:42 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

321027

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Attempt to reconnect only after successful initAttempt to reconnect only after Bluetooth connected successfullyand HiCar init is successful. TC-RID:
1201-0400120Issuel D: TS-R-BUG-112910, VCH-262Change-Id: 1d775010686e3384ad19915d935125d668d37f437
#20 - 2023-10-20 20:42 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

320999

general/platform/packages/modules/N

etworkStack

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:HiCar: Set softap IP to 192.168.43.1 for wlan1Set softap IP to 192.168.43.1 for wlan1.TC-RID: 1201-0400120IssuelD: TS-R-BUG-112910,
VCH-262Change-Id: 1770ec4c5652905550b6e3f95a186198accc59e03

#21 - 2023-10-27 01:02 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

323258

general/device/qcom/gssi

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

LC:BT:Enable bt snoop log by defaultEnable bt snoop log by default. TC-RID: 1201-0400120Issuel D: TS-R-BUG-112910Change-1d:
1b07289dd48ab409e4bb0ch89ec2e5b4a7766fec5(cherry picked from commit ad688fb20aleccalf75ac673b4bla03e5afb87e5)

#22 - 2023-10-27 01:14 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

323272

general/platform/vendor/gcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

LC:HiCar: Set HFP Client connect policy to ALLOWEDSet HFP Client connect policy to ALLOWED.TC-RID: 1201-0400120IssuelD: TS-R-BUG-112910,
VCH-269Change-Id: 192df5ad404871fd86b92998963c3655352407491(cherry picked from commit 623bf5725c883a7a4bb2efaf566c9de870337ade)

#23 - 2023-10-27 01:15 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

323273

general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04

Revert LC:HiCar: Set HFP Client connect policy to ALLOWEDThis reverts commit 623bf5725c883a7a4bb2efaf566¢9de870337ade.Reason for revert: For HiCar
connect/reconnect when bt is A2dp source. TC-RID: 1201-0400120Issuel D: TS-R-BUG-112910, VCH-269Change-1d:
126c06eef5cf4887c3014cc2e4e8e20482d034fc9(cherry picked from commit 0547e5484be830ca7e127eb180ccc35c3a26889f)

#24 - 2023-10-27 01:18 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
323276 general/platform/vendor/qcom-opens | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
ource/packages/apps/Bluetooth -release_sorp

LC:HiCar: Auto connect PANAutomatically connect PAN when Bluetooth is turned on. TC-RID: 1201-0400120IssuelD: TS-R-BUG-112910,
VCH-269Change-Id: 17e87f40afe55d727ee318392a6ffc3c2a4a9592a(cherry picked from commit 8cla69ee37aae94¢915f23d5ef1781aa65138931)

#25 - 2023-10-27 01:57 - 1oT scm

Gerrit Merge Information(

1D Project Branch Uploader
323320 general/platform/packages/modules/N | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
etworkStack -release_sorp

LC:HiCar: Set softap IP to 192.168.43.1 for wlan1Set softap IP to 192.168.43.1 for wlan1. TC-RID: 1201-0400120Issuel D: TS-R-BUG-112910,
VCH-262Change-Id: 1770ec4c5652905550b6e3f95a186198accc59e03(cherry picked from commit 18ba92538ef42be453dd8ce623b01deald0eb306)
